Bug 146769 - Incorrect login screen
Summary: Incorrect login screen
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gdm (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Mike McLean
URL:
Whiteboard: impact=low,public=20050201,reported=s...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-01 15:10 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-26 20:29:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2005-02-01 15:10:45 UTC
This issue was reported to the Security Response Team by a customer.


When you turn on the shift-lock and type in the wrong password, the text
input dialog doesn't modify itself.  While it's asking you for a password,
and will display the letter you are typing, it's really the username entry
you are typing in (this is still bad since it says password).  If you type
in a username, hit enter (the dialog still asks for the password), then
type in the password for the username in question, it will log you in.


I have reproduced this issue on RHEL3, but not reliably.  Any additional input
would be great.  I'm not sure if this affects other versions we ship.  I could
not reproduce this on anything other than RHEL3.

Comment 1 Ray Strode [halfline] 2005-02-11 16:07:33 UTC
Is this with the graphical greeter or the standard greeter?

Comment 2 Josh Bressers 2005-02-11 16:18:14 UTC
It's the graphical greeter.  I had not changed any of the defaults
when I managed to reproduce this.

Comment 3 Ray Strode [halfline] 2005-02-14 16:56:50 UTC
Hi Josh,

I'm having trouble reproducing this.  To clarify, when you perform the
following steps, it sometimes demonstrates the abnormal behavior?

1. type in username and hit enter
2. hit caps-lock key
3. type in password and hit enter.


Comment 4 Ray Strode [halfline] 2005-05-26 20:11:40 UTC
Josh, have you had a chance to look into this more?

Comment 5 Josh Bressers 2005-05-26 20:23:35 UTC
I've not been able to reproduce this other than a few times on the day I filed
this bug (not reliably though).  I wish I had more or better information.  If
you're not able to reproduce this, I think closing it as WORKSFORME is appropriate.

Comment 6 Ray Strode [halfline] 2005-05-26 20:29:00 UTC
Your wish is my command.


Note You need to log in before you can comment on or make changes to this bug.